## sndobj 2.5.1

=== Makefile ===
#####################################################
# SndObj v2.5 top-level Makefile
# makes the library, examples and installs                
#
######################################################

# choose either win, oss, mosx or blank (no RT)
#PLATFORM =.win
#PLATFORM =.oss
#PLATFORM =.mosx
PLATFORM =

LIBDEST = /usr/local/lib
INCDEST = /usr/local/include
MAKE = make

all: lib/libsndobj.a examples 

lib/libsndobj.a: src/*.cpp src/*.h 
	cd src; $(MAKE) -f Makefile$(PLATFORM)

examples: src/examples/*.cpp 
	cd src/examples; $(MAKE) -f Makefile$(PLATFORM) install

install: lib/libsndobj.a include/SndObj/*.h
	cp -rf include/*.h $(INCDEST)
	cp lib/libsndobj.a $(LIBDEST)

clean: 	
	rm src/*.o

cleanall: 	
	rm src/*.o
	rm lib/*
	rm bin/*

=== src/Makefile ===
##############################################################
#    SndObj 2.5 multiplatform Makefile                       #
#    makes:     lib (library)                                #
##############################################################

# Choose the compiler 
# On Linux or Cygwin use gnu g++  (CC = g++)
# On Irix use MipsPRO if you have it (CC = CC)

CC	=	g++

#  Choose one of the options for REALTIME audio & midi:
#  for RT on CYGWIN: -DWIN
#  for RT on Linux (etc...) with OSS: -DOSS
#  for RT on Irix: -DSGI 
#  for RT on  Mac OS X: -DMACOSX 
#   -I/system/library/Frameworks/CoreAudio.framework/Headers
#  for other OSs: realtime not supported (leave it blank)

RTDEFS = 

#############################################################
# DO NOT EDIT BELOW THIS LINE ################################
##############################################################

libDir  =   ../lib
Bin	    =	../bin
iDir    =   ../include

LIBNAME = $(libDir)/libsndobj.a

# Flags for includes and libraries

CFLAGS =    -O -I$(iDir) $(RTDEFS) 
LFLAGS =    -O  

# Core Library object files

SNDOBJS = Oscil.o Oscilt.o Oscili.o \
PhOscili.o ADSR.o IADSR.o Buzz.o \
Balance.o DelayLine.o Tap.o Tapi.o \
Comb.o Allpass.o StringFlt.o Pluck.o \
VDelay.o Pitch.o Loop.o Filter.o \
Reson.o Lp.o ButtBP.o ButtBR.o \
ButtHP.o ButtLP.o Mix.o Pan.o \
Gain.o SyncGrain.o Interp.o Phase.o \
Lookup.o Lookupi.o Ring.o Rand.o \
Randh.o Randi.o Unit.o Ap.o \
Hilb.o SndIn.o SndObj.o MidiIn.o \
MidiMap.o Bend.o Fir.o FFT.o \
IFFT.o Convol.o FastOsc.o Osc.o \
Osci.o PVA.o IFGram.o HiPass.o \
LowPass.o TpTz.o PVS.o PVMorph.o PVRead.o \
SinAnal.o SinSyn.o AdSyn.o \
SndRead.o SpecIn.o SpecMult.o \
SpecCart.o SpecCombine.o SpecInterp.o \
SpecPolar.o SpecSplit.o SpecThresh.o \
SpecVoc.o

SNDIOBJS = SndIO.o SndRTIO.o SndFIO.o \
SndWave.o SndAiff.o SndBuffer.o \
SndMidi.o SndMidiIn.o SndWaveX.o \
SndPVOCEX.o SndSinIO.o  SndCoreAudio.o

TABLEOBJS = HarmTable.o UsrHarmTable.o \
TrisegTable.o SndTable.o PlnTable.o \
HammingTable.o NoteTable.o UsrDefTable.o \
LoPassTable.o 

SNDTHROBJ = SndThread.o 

# fftw library v-2.1.3
FFTWOBJS = \
config.o  fcr_9.o fhf_6.o fn_8.o  frc_1.o  ftw_16.o ftwi_7.o \
executor.o fftwnd.o fhf_7.o fn_9.o  frc_10.o ftw_2.o  ftwi_8.o \
fcr_1.o fhb_10.o fhf_8.o fni_1.o frc_11.o ftw_3.o  ftwi_9.o \
fcr_10.o  fhb_16.o fhf_9.o fni_10.o frc_12.o ftw_32.o generic.o \
fcr_11.o  fhb_2.o fn_1.o fni_11.o frc_128.o ftw_4.o  malloc.o \
fcr_12.o  fhb_3.o fn_10.o fni_12.o frc_13.o ftw_5.o  planner.o \
fcr_128.o fhb_32.o fn_11.o fni_13.o frc_14.o ftw_6.o  putils.o \
fcr_13.o  fhb_4.o fn_12.o fni_14.o frc_15.o ftw_64.o rader.o \
fcr_14.o  fhb_5.o fn_13.o fni_15.o frc_16.o ftw_7.o  rconfig.o \
fcr_15.o  fhb_6.o fn_14.o fni_16.o frc_2.o  ftw_8.o  rexec.o \
fcr_16.o  fhb_7.o fn_15.o fni_2.o frc_3.o  ftw_9.o  rexec2.o \
fcr_2.o fhb_8.o fn_16.o fni_3.o frc_32.o ftwi_10.o rfftwf77.o \
fcr_3.o fhb_9.o fn_2.o fni_32.o frc_4.o  ftwi_16.o rfftwnd.o \
fcr_32.o  fhf_10.o fn_3.o fni_4.o frc_5.o  ftwi_2.o rgeneric.o \
fcr_4.o fhf_16.o fn_32.o fni_5.o frc_6.o  ftwi_3.o rplanner.o \
fcr_5.o fhf_2.o fn_4.o fni_6.o frc_64.o ftwi_32.o timer.o \
fcr_6.o fhf_3.o fn_5.o fni_64.o frc_7.o  ftwi_4.o twiddle.o \
fcr_64.o  fhf_32.o fn_6.o fni_7.o frc_8.o  ftwi_5.o wisdom.o \
fcr_7.o fhf_4.o fn_64.o fni_8.o frc_9.o  ftwi_6.o wisdomio.o \
fcr_8.o fhf_5.o fn_7.o fni_9.o ftw_10.o ftwi_64.o 

LIBOBJS = $(SNDOBJS) $(SNDIOBJS) $(TABLEOBJS) $(SNDTHROBJ) 

all: AudioDefs lib 

AudioDefs: AudioDefs.h *.h
		cp *.h $(iDir)/SndObj

lib: $(LIBNAME) 

clean: 
	rm *.o
	rm $(LIBNAME)

$(LIBNAME):  $(FFTWOBJS) $(LIBOBJS)
	ar -rcs $@ *.o

$(FFTWOBJS): %.o: rfftw/%.c 
	$(CC) $(CFLAGS) -c $< -o $@

$(LIBOBJS): %.o: %.cpp 
	$(CC) $(CFLAGS) -c $< -o $@

=== src/examples/Makefile ===
##############################################################
#    SndObj g++ makefile
#    makes:    all
#              install
##############################################################

CC	=	g++
      
libDir  =   ../../lib
iDir    =    ../../include
binDir = ../../bin

LIBNAME = $(libDir)/libsndobj.a
LIB    = -L../../lib -lsndobj 

CFLAGS =  -O -I$(iDir) $(DEFS)
LFLAGS =  -lm -lpthread


progrs =  cvoc sinus

pdlib = morph~.pd_linux

all: $(progrs)

morph~: $(pdlib)

install: $(progrs)
	 mv $(progrs) $(binDir)

$(progrs): % : %.cpp 
	$(CC) -o $@ $(CFLAGS) $< $(LIB) $(LFLAGS)

$(pdlib): % : morph_tilde.cpp 
	$(CC) -shared -o../../lib/$@ $(CFLAGS) $< $(LIB)

## sndobj 2.6.1a

=== Makefile ===
--- 
+++ 
@@ -4,11 +4,11 @@
 #
 ######################################################
 
-# choose either win, oss, mosx or blank (no RT)
+# choose either win, oss, mosx, alsa or blank (no RT)
 #PLATFORM =.win
 #PLATFORM =.oss
 #PLATFORM =.mosx
-PLATFORM =
+PLATFORM =.alsa
 
 LIBDEST = /usr/local/lib
 INCDEST = /usr/local/include

=== src/Makefile ===
--- 
+++ 
@@ -4,14 +4,15 @@
 ##############################################################
 
 # Choose the compiler 
-# On Linux or Cygwin use gnu g++  (CC = g++)
+# On Linux or Cygwin use gnu gcc  (CC = gcc)
 # On Irix use MipsPRO if you have it (CC = CC)
 
-CC	=	g++
+CC	=	gcc
 
 #  Choose one of the options for REALTIME audio & midi:
 #  for RT on CYGWIN: -DWIN
-#  for RT on Linux (etc...) with OSS: -DOSS
+#  for RT on Linux (etc...) with OSS: -DOSS 
+#  for RT on Linux with ALSA: -DALSA
 #  for RT on Irix: -DSGI 
 #  for RT on  Mac OS X: -DMACOSX 
 #   -I/system/library/Frameworks/CoreAudio.framework/Headers
@@ -31,8 +32,8 @@
 
 # Flags for includes and libraries
 
-CFLAGS =    -O -I$(iDir) $(RTDEFS) 
-LFLAGS =    -O  
+CFLAGS =    -O2 -I$(iDir) $(RTDEFS) 
+LFLAGS =    -O2  
 
 # Core Library object files
 
@@ -50,8 +51,10 @@
 MidiMap.o Bend.o Fir.o FFT.o \
 IFFT.o Convol.o FastOsc.o Osc.o \
 Osci.o PVA.o IFGram.o HiPass.o \
-LowPass.o TpTz.o PVS.o PVMorph.o PVRead.o \
-SinAnal.o SinSyn.o AdSyn.o \
+LowPass.o TpTz.o PVS.o PVMorph.o \
+PVFilter.o PVMask.o PVMix.o \
+PVTransp.o PVBlur.o PVRead.o \
+SinAnal.o SinSyn.o AdSyn.o ReSyn.o IFAdd.o \
 SndRead.o SpecIn.o SpecMult.o \
 SpecCart.o SpecCombine.o SpecInterp.o \
 SpecPolar.o SpecSplit.o SpecThresh.o \
@@ -65,8 +68,8 @@
 TABLEOBJS = HarmTable.o UsrHarmTable.o \
 TrisegTable.o SndTable.o PlnTable.o \
 HammingTable.o NoteTable.o UsrDefTable.o \
-LoPassTable.o 
-
+LoPassTable.o ImpulseTable.o \
+SpecEnvTable.o  EnvTable.o PVEnvTable.o PVTable.o
 SNDTHROBJ = SndThread.o 
 
 # fftw library v-2.1.3

=== src/examples/Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 LIBNAME = $(libDir)/libsndobj.a
 LIB    = -L../../lib -lsndobj 
 
-CFLAGS =  -O -I$(iDir) $(DEFS)
+CFLAGS =  -O2 -I$(iDir) $(DEFS)
 LFLAGS =  -lm -lpthread

## sndobj 2.6.6.1

=== SConstruct ===
####################################################################
# This file is part of the SndObj library
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
#
#
# scons build system for SndObj
# 
# Copyright (C) 2005 by Tim Blechmann and Victor Lazzarini
#
#  See License.txt for for a disclaimer of all warranties
#  and licensing information

import sys
import os
import distutils.sysconfig

env = Environment(ENV = {'PATH' : os.environ['PATH']})
env.SConsignFile()
# env.CacheDir('./obj')

######################################################################
#
# general configuration



def getVersion():
    return sys.version[:3]    

def getPlatform():
    if sys.platform[:5] == 'linux':
        return 'linux'
    elif sys.platform[:3] == 'win':
        if env['PLATFORM'] == 'win32':
        	return 'win'
	else:
		return 'cygwin'
    elif sys.platform[:6] == 'darwin':
        return 'macosx'
    elif sys.platform[:4] == 'irix' :
        return 'sgi'
    else:
        return 'unsupported'

opt = Options(['options.cache'])
opt.AddOptions(
	BoolOption('alsa', 'on linux, build with alsa support', True),
	BoolOption('oss',  'on unix or linux, build with OSS support', False),
        BoolOption('jack', 'on linux or OSX, build with Jack support', True),
	('flags', 'additional compile flags', ""),
	('prefix', 'install prefix of headers, static lib and shared lib', '/usr/local'),
        ('instdir', 'base directory', ''), 
        ('pddir', 'PD directory on windows', 'C:\\PureData'),
        BoolOption('nostaticlib', 'do not build static library', True),
        BoolOption('pythonmodule', 'build python module', False),
        BoolOption('javamodule', 'build java module', False),
        BoolOption('lispmodule', 'build CFFI module', False),
        BoolOption('examples', 'build C++ examples', False),
        ('install_name', 'on OSX, the dynamic library full install pathname (before installation)', 'lib/libsndobj.dylib'),
        ('pythonpath', 'python include path (defaults to usual places)', ''),
        ('pythonlibpath', 'python lib path (WIN only,defaults to usual places)', ''),
        ('javapath', 'java headers path (defaults to usual places)', ''),
        ('customCPPPATH', '',''),
        ('customCCFLAGS', '',''),
        ('customCXXFLAGS','',''),
        ('customLIBS','',''),
        ('customLIBPATH','',''),
        ('customSHLINKFLAGS','',''),
        ('customSWIGFLAGS','',''),
        ('version', 'library version','2.6.5')
	)

opt.Update(env)
opt.Save('options.cache',env)
Help(opt.GenerateHelpText(env))
version = env['version']
print "SndObj Library version is " + version
 
customCPPPATH = env['customCPPPATH']
env.Prepend(CPPPATH = customCPPPATH)
customCCFLAGS = env['customCCFLAGS']
env.Prepend(CCFLAGS = customCCFLAGS)
customCXXFLAGS = env['customCXXFLAGS']
env.Prepend(CXXFLAGS = customCXXFLAGS)
customLIBS = env['customLIBS']
env.Prepend(LIBS = customLIBS)
customLIBPATH = env['customLIBPATH']
env.Prepend(LIBPATH = customLIBPATH)
customSHLINKFLAGS = env['customSHLINKFLAGS']
env.Prepend(SHLINKFLAGS = customSHLINKFLAGS)
customSWIGFLAGS = env['customSWIGFLAGS']
env.Prepend(SWIGFLAGS = customSWIGFLAGS)

print "Building the Sound Object Library"
configure = env.Configure()

print "scons tools in this system: ", env['TOOLS']
cffipath = ''
pythonlibpath = []
print "Checking for Realtime IO support..." 
if getPlatform() == 'linux':
        msvctools = False
        print "OS is Linux..."
        hdrs = env.Command('include/SndObj/AudioDefs.h', 'src/AudioDefs.h', "cp -f src/*.h include/SndObj")
        perms = env.Command('perms', 'src/AudioDefs.h', "chmod a-x include/SndObj/*.h")
        Depends(perms,hdrs)
	alsaFound = configure.CheckHeader("alsa/asoundlib.h", language = "C")
	ossFound = configure.CheckHeader("soundcard.h", language="C")
	jackFound = configure.CheckHeader("jack/jack.h", language = "C")
	if alsaFound and env['alsa']:
	  env.Append(CPPDEFINES="ALSA")
          swigdef = ['-DALSA']
          env.Append(LIBS=['asound'])
          print "The library realtime IO (class SndRTIO) will be configured for ALSA"
	  rtio = True 
	elif ossFound and env['oss']:
	  env.Append(CPPDEFINES="OSS")
          print "The library realtime IO (class SndRTIO) will be configured for OSS"
          rtio = True
        else:
          print "No alsa or OSS RT support"
          rtio = False  
	if jackFound:
          env.Append(CPPDEFINES=Split('JACK'))
          env.Append(LIBS=['jack'])
          swigdef.append('-DJACK')
          print "The library will include support for Jack (Class SndJackIO)"
        pythonincpath = ['/usr/include/python' + getVersion(), env['pythonpath']]
        javapath =   ['/usr/lib/java/jvm/include', env['javapath']]
       
   
if getPlatform() == 'win':
        print "OS is Windows, environment is win32..."
	env.Append(CPPDEFINES="WIN")
        swigdef = ['-DWIN', '-DSWIGFIX', '-D_MSBC']
        if 'msvc'in env['TOOLS']: # MSVC
          msvctools = True
          hdrs = env.Command('include/SndObj/AudioDefs.h', 'src/AudioDefs.h', "copy  src\\*.h include\\SndObj")
          separateLibs = False
          print 'using MSVC...'
          includes = "C:\\Program Files\\Microsoft Visual Studio\\VC98\\include"
          libs = "C:\\Program Files\\Microsoft Visual Studio\\VC98\\lib"
          env.Append(CPPPATH=['msvc6.0'])
          pythonlib=''
          env.Append(LIBS=['pthreadVC', 'advapi32', 'user32'])
        else: # mingw ? Set any outstanding mingwin paths here
          msvctools = False
          hdrs = env.Command('include/SndObj/AudioDefs.h', 'src/AudioDefs.h', "cp -f src/*.h include/SndObj")
          separateLibs = True
          print 'using MINGW...'
          env.Append(CPPDEFINES=['GCC', 'USE_WIN32THREADS'])
          swigdef.append(['-DUSE_WIN32THREADS'])
          includes = ''
          libs     = ''
          pythonlib = 'python%c%c'% (getVersion()[0], getVersion()[2])
        env.Append(CPPPATH=[includes])
 	env.Append(LIBPATH=[libs])
 	env.Append(LIBPATH=['lib'])
        env.Append(LIBS=['winmm'])
        rtio = True
        jackFound = False
        pythonincpath = ['c:\\Python%c%c\include' % (getVersion()[0], getVersion()[2]), env['pythonpath']]
        pythonlibpath.append('c:\\Python%c%c\libs' % (getVersion()[0], getVersion()[2]))
        pythonlibpath.append(env['pythonlibpath'])
        javapath = ["C:\\Program Files\\Java\\jdk1.5.0_05",env['javapath']]

if getPlatform() == 'cygwin':
        print "OS is Windows, environment is Cygwin..."
        msvctools = False
	env.Append(CPPDEFINES=['WIN', 'GCC'])
        swigdef = ['-DWIN', '-DSWIGFIX', '-D_MBCS']
        env.Append(LIBS=['winmm', 'pthread'])
        env.Append(LIBPATH=['lib'])
        rtio = True
        jackFound = False
        pythonincpath = ['/usr/include/python' + getVersion(), env['pythonpath']]
        javapath =   ['/usr/lib/java/jvm/include', env['javapath']]

if getPlatform() == 'macosx':
        print "OS is MacOSX"
        msvctools = False
        hdrs = env.Command('include/SndObj/AudioDefs.h', 'src/AudioDefs.h', "cp -f src/*.h include/SndObj")
	env.Append(CPPDEFINES="MACOSX")
        swigdef = ['-DMACOSX']
	env.Append(CPPPATH=["/system/library/Frameworks/CoreAudio.framework/Headers"])
        env.Append(LINKFLAGS= ['-framework', 'coreaudio'])
        jackFound = configure.CheckHeader("jack/jack.h", language = "C")
        if jackFound:
	  env.Append(CPPDEFINES=Split('JACK'))
          env.Append(LIBS=Split('jack'))
          swigdef.append('-DJACK')
          print "The library will include support for Jack (Class SndJackIO)" 
        rtio = True
        pythonincpath = [env['pythonpath'], '/Library/Frameworks/Python.framework/Headers', '/System/Library/Frameworks/Python.framework/Headers']
        javapath = ['/System/Library/Frameworks/JavaVM.framework', env['javapath']]  


if getPlatform() == 'sgi':
        print "OS is SGI/Irix..."
        msvctools = False
        hdrs = env.Command('include/SndObj/AudioDefs.h', 'src/AudioDefs.h', "cp -f src/*.h include/SndObj")
        env.Append(CPPDEFINES="SGI")
        swigdef = ['-DSGI']
        env.Append(LIBS=['audio', 'midi', 'pthread'])
        rtio = True
        jackFound = False
        pythonincpath = ['/usr/include/python' + getVersion(), env['pythonpath']]
        javapath =   ['/usr/lib/java/jvm/include', env['javapath']]
       

if getPlatform() == 'unsupported':
       print "Realtime IO not supported on this platform: %s" % sys.platform
       hdrs = env.Command('include/SndObj/AudioDefs.h', 'src/AudioDefs.h', "cp -f src/*.h include/SndObj")
       rtio = False
       swigdef = ['-DNO_RTIO']
       env.Append(LIBS=['pthread'])
       msvctools = False
       jackFound = False
       pythonincpath = ['/usr/include/python%c%c' % (getVersion()[0], getVersion()[2]), env['pythonpath']]      
       javapath = ['/usr/java/include', env['javapath']]

if not msvctools:
   flags = "-O2" + env['flags']
else:
   flags = "-GX -GB -O2" + env['flags']
   
#check endianness
if sys.byteorder == "big":
    print "Host is big endian"
    env.Append(CPPFLAGS="-DWORDS_BIGENDIAN")
else:
    print "Host is little endian"

if not rtio:
   env.Prepend(CPPDEFINES=['NO_RTIO'])

env.Prepend(CPPPATH= ['include','include/rfftw'])
swigcheck = 'swig' in env['TOOLS']
print 'swig %s' % (["doesn't exist", "exists..."][int(swigcheck)])

pythonh = configure.CheckHeader("Python.h", language = "C")
if not pythonh:
 for i in pythonincpath:
    pythonh = configure.CheckHeader("%s/Python.h" % i, language = "C")
    if pythonh:
      print "Python version is " + getVersion()
      break

if not pythonh:
    print "Python headers are missing... cannot build python module"

pysndobj = env.Clone()
jsndobj = env.Clone()
cffisndobj = env.Clone()
examples = env.Clone()

if getPlatform() == 'linux':
      env.Append(SHLINKFLAGS=['-Wl,-soname=libsndobj.so.%s'% version])
######################################################################
#
# sources

sndobjsources = Split("""Oscil.cpp Oscilt.cpp Oscili.cpp 
PhOscili.cpp ADSR.cpp IADSR.cpp Buzz.cpp 
Balance.cpp DelayLine.cpp Tap.cpp Tapi.cpp 
Comb.cpp Allpass.cpp StringFlt.cpp Pluck.cpp 
VDelay.cpp Pitch.cpp Loop.cpp Filter.cpp 
Reson.cpp Lp.cpp ButtBP.cpp ButtBR.cpp 
ButtHP.cpp ButtLP.cpp Mix.cpp Pan.cpp 
Gain.cpp SyncGrain.cpp Interp.cpp Phase.cpp 
Lookup.cpp Lookupi.cpp Ring.cpp Rand.cpp 
Randh.cpp Randi.cpp Unit.cpp Ap.cpp 
Hilb.cpp SndIn.cpp SndObj.cpp MidiIn.cpp 
MidiMap.cpp Bend.cpp Fir.cpp FFT.cpp 
IFFT.cpp Convol.cpp FastOsc.cpp Osc.cpp 
Osci.cpp PVA.cpp IFGram.cpp HiPass.cpp 
LowPass.cpp TpTz.cpp PVS.cpp PVMorph.cpp 
PVFilter.cpp PVMask.cpp PVMix.cpp 
PVTransp.cpp PVBlur.cpp PVRead.cpp 
SinAnal.cpp SinSyn.cpp AdSyn.cpp ReSyn.cpp IFAdd.cpp 
SndRead.cpp SpecIn.cpp SpecMult.cpp 
SpecCart.cpp SpecCombine.cpp SpecInterp.cpp 
SpecPolar.cpp SpecSplit.cpp SpecThresh.cpp 
SpecVoc.cpp  Ptrack.cpp""")

sndiosources = Split("""SndIO.cpp SndRTIO.cpp SndFIO.cpp 
SndWave.cpp SndAiff.cpp SndBuffer.cpp 
SndMidi.cpp SndMidiIn.cpp SndWaveX.cpp 
SndPVOCEX.cpp SndSinIO.cpp  SndCoreAudio.cpp SndJackIO.cpp SndASIO.cpp """)

tablesources = Split("""HarmTable.cpp UsrHarmTable.cpp 
TrisegTable.cpp SndTable.cpp PlnTable.cpp 
HammingTable.cpp NoteTable.cpp UsrDefTable.cpp 
LoPassTable.cpp ImpulseTable.cpp 
SpecEnvTable.cpp  EnvTable.cpp PVEnvTable.cpp PVTable.cpp""")

=== src/Makefile ===
--- 
+++ 
@@ -54,7 +54,7 @@
 LowPass.o TpTz.o PVS.o PVMorph.o \
 PVFilter.o PVMask.o PVMix.o \
 PVTransp.o PVBlur.o PVRead.o \
-SinAnal.o SinSyn.o AdSyn.o ReSyn.o IFAdd.o \
+SinAnal.o SinSyn.o AdSyn.o \
 SndRead.o SpecIn.o SpecMult.o \
 SpecCart.o SpecCombine.o SpecInterp.o \
 SpecPolar.o SpecSplit.o SpecThresh.o \

=== debian/changelog ===
sndobj (2.6.6.1-5) unstable; urgency=medium

  * Upload to unstable
  * Add upstream license info

 -- Felipe Sateler <fsateler@debian.org>  Thu, 03 Sep 2015 21:04:19 -0300

sndobj (2.6.6.1-4) experimental; urgency=medium

  * Team upload.
  * Rename library package for GCC 5 transition.

 -- Felipe Sateler <fsateler@debian.org>  Fri, 07 Aug 2015 13:16:16 -0300

sndobj (2.6.6.1-3) unstable; urgency=low

  * Build for Multiarch.
  * Replace negated list of architectures with linux-any (Closes: #634493)
  * Properly clean the sources tree.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sun, 05 Feb 2012 14:28:44 +0100

sndobj (2.6.6.1-2) unstable; urgency=low

  * Add gbp config file.
  * Update my email address.
  * Remove DM-Upload-Allowed: yes
  * Update Standards to 3.9.1.
  * Switch packaging to the 3.0 (quilt) format.
  * Update debian/copyright as per DEP-5 rev.166
  * Skip quilt files in .pc/
  * Unapply patches after git-buildpackage'ing, abort on upstream changes.
  * Remove vcs-control-dir from /usr/include/SndObj.

 -- Alessio Treglia <alessio@debian.org>  Mon, 14 Feb 2011 07:39:31 +0100

sndobj (2.6.6.1-1) unstable; urgency=low

  * New maintainer (Closes: #546965).
  * New upstream release.
  * Switch to debhelper 7, drop cdbs.
  * Add quilt support.
  * debian/control:
    - Don't build-depend on libjack0.100.0-dev (Closes: #527432).
    - Build-depend on scons.
    - Bump Standards.
    - Lines should be shorter than 80 characters.
    - Improve description.
    - Allow uploads by Debian Maintainer.
    - Add Homepage field.
    - Add Vcs-* tags.
  * Update debian/copyright (according to Debian DEP-5 proposal).
  * Bump debian/compat.
  * Drop 02-gcc41.patch patch, refresh the other GCC-related patches.
  * debian/patches/01_shlib.patch:
    - Adjust SConstruct rather than patching Makefile.
  * Remove debian/patches.old directory.
  * Remove debian/docs, the license file is already provided by Debian.
  * Remove debian/libsndobj-dev.files, unnecessary.
  * Don't install static library files.
  * Add watch file.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 12 Feb 2010 08:42:50 +0100

sndobj (2.6.1a-2.4) unstable; urgency=low

  * Non-maintainer upload
  * patches/01_shlib_fix.patch:
    Fix unresolved symbols by using LFLAGS variable (closes: #519088).
  * control:
    - Added ${misc:Depends} to both packages.
    - Moved libsndobj from devel to libdevel.
    - Renamed ${Source-Version} to ${binary:Version}.
  * patches/04-gcc44.patch: Add #include for g++ 4.4 (closes: #505377)
    (patch from Martin Michlmayr).

 -- Pascal Giard <pascal@debian.org>  Sun, 08 Mar 2009 17:26:09 -0400

sndobj (2.6.1a-2.3) unstable; urgency=low

  * Non-maintainer upload
  * patches/03-gcc43.patch: Add necessary #include directives for g++ 4.3
    (closes: #455174) (patch from Cyril Brulebois)
  * Unset DEB_MAKE_CLEAN_TARGET (closes: #424247)

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 05 Apr 2008 21:29:16 +0100

sndobj (2.6.1a-2.2) unstable; urgency=low

  * Porter NMU.
  * Don't build depend on libasound2-dev on non-linux systems (closes:
    #361479).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 15 Jan 2008 02:13:05 +0100

sndobj (2.6.1a-2.1) unstable; urgency=low

  * NMU as part of the GCC 4.1 transition.
  * patches/02-gcc41.patch: Remove extra qualification from C++ header
    files (closes: #356175).

 -- Martin Michlmayr <tbm@cyrius.com>  Sat, 27 May 2006 17:20:25 +0200

sndobj (2.6.1a-2) unstable; urgency=low

  * removed ALSA support for freebsd (closes: #336858)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Wed,  9 Nov 2005 09:49:15 +0100

sndobj (2.6.1a-1) unstable; urgency=low

  * New upstream release (closes: #275144)
  * C++ transition: renamed libsndobj2 to libsndobj2c2
  * Uses -O2 compilation flag (closes: #282821)
  * Added Jack support

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Fri, 28 Oct 2005 19:43:53 +0200

sndobj (2.5.1-1) unstable; urgency=low

  * New upstream version
  * linked dynamically with fftw
  * Fixed problem when linking with shared library

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Wed,  5 May 2004 14:13:39 +0200

sndobj (2.5-2) unstable; urgency=low

  * shared moved in link command at debian/rules

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Tue, 23 Sep 2003 21:12:31 +0200

sndobj (2.5-1) unstable; urgency=low

  * new upstream release

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Mon, 15 Sep 2003 16:14:32 +0200

sndobj (2.0.3-2) unstable; urgency=low

  * added -fPIC flag to compilation (closes: #198011)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Thu, 19 Jun 2003 19:28:41 +0200

sndobj (2.0.3-1) unstable; urgency=low

  * New upstream

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Thu, 20 Mar 2003 10:55:47 +0100

sndobj (2.0.2-1) unstable; urgency=low

  * Initial Release.

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Wed,  6 Nov 2002 14:39:51 +0100

=== debian/control ===
Source: sndobj
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 8.1.3~),
 fftw-dev,
 libasound2-dev [linux-any],
 libjack-dev,
 scons
Standards-Version: 3.9.2
Homepage: http://sndobj.sourceforge.net/
Vcs-Git: git://git.debian.org/pkg-multimedia/sndobj.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/sndobj.git

Package: libsndobj-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 fftw-dev,
 libsndobj2v5 (= ${binary:Version}),
 ${misc:Depends}
Description: Sound Object library (development files)
 The Sound Object Library is an object-oriented audio processing library.
 It provides objects for synthesis and processing of sound that can be used
 to build applications for computer-generated music.
 .
 This package contains the development files.

Package: libsndobj2v5
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Replaces:
 libsndobj2,
 libsndobj2c2
Conflicts:
 libsndobj2,
 libsndobj2c2
Description: Sound Object library
 The Sound Object Library is an object-oriented audio processing library.
 It provides objects for synthesis and processing of sound that can be used
 to build applications for computer-generated music.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_clean:
	rm -rf lib
	dh_auto_clean

override_dh_auto_build:
	mkdir lib
ifeq (linux,$(DEB_HOST_ARCH_OS))
	scons ALSA=true OSS=false JACK=true customLIBS=pthread customLIBPATH=/usr/lib/$(DEB_HOST_MULTIARCH)
else
	scons ALSA=false OSS=true JACK=false customLIBS=pthread customLIBPATH=/usr/lib/$(DEB_HOST_MULTIARCH)
endif

override_dh_install:
	dh_install -plibsndobj-dev include/SndObj usr/include
	dh_install -plibsndobj-dev lib/*.so usr/lib/$(DEB_HOST_MULTIARCH)/
	rm -rf debian/libsndobj-dev/usr/include/SndObj/CVS/
	dh_install -plibsndobj2v5 lib/*.so.* usr/lib/$(DEB_HOST_MULTIARCH)/

override_dh_installchangelogs:
	dh_installchangelogs change.log

=== debian/watch ===
version=3
http://sf.net/sndobj/SndObj-(.+)\.tar\.gz

## sndobj 2.6.7+ds1

=== SConstruct ===
--- 
+++ 
@@ -66,9 +66,12 @@
         ('pddir', 'PD directory on windows', 'C:\\PureData'),
         BoolOption('nostaticlib', 'do not build static library', True),
         BoolOption('pythonmodule', 'build python module', False),
+        BoolOption('numpy', 'include support for numpy arrays', False),
         BoolOption('javamodule', 'build java module', False),
         BoolOption('lispmodule', 'build CFFI module', False),
         BoolOption('examples', 'build C++ examples', False),
+        BoolOption('no_rtio', 'No RT IO', False),
+        BoolOption('useASIO', 'Use ASIO, requires ASIO SDK files to be place in ./src/asio', False),
         ('install_name', 'on OSX, the dynamic library full install pathname (before installation)', 'lib/libsndobj.dylib'),
         ('pythonpath', 'python include path (defaults to usual places)', ''),
         ('pythonlibpath', 'python lib path (WIN only,defaults to usual places)', ''),
@@ -106,23 +109,25 @@
 
 print "Building the Sound Object Library"
 configure = env.Configure()
-
+buildasio = 0
 print "scons tools in this system: ", env['TOOLS']
 cffipath = ''
 pythonlibpath = []
 print "Checking for Realtime IO support..." 
-if getPlatform() == 'linux':
+if not env['no_rtio']:
+ if getPlatform() == 'linux':
         msvctools = False
         print "OS is Linux..."
         hdrs = env.Command('include/SndObj/AudioDefs.h', 'src/AudioDefs.h', "cp -f src/*.h include/SndObj")
         perms = env.Command('perms', 'src/AudioDefs.h', "chmod a-x include/SndObj/*.h")
         Depends(perms,hdrs)
+        swigdef = []
 	alsaFound = configure.CheckHeader("alsa/asoundlib.h", language = "C")
 	ossFound = configure.CheckHeader("soundcard.h", language="C")
 	jackFound = configure.CheckHeader("jack/jack.h", language = "C")
 	if alsaFound and env['alsa']:
 	  env.Append(CPPDEFINES="ALSA")
-          swigdef = ['-DALSA']
+          swigdef.append('-DALSA')
           env.Append(LIBS=['asound'])
           print "The library realtime IO (class SndRTIO) will be configured for ALSA"
 	  rtio = True 
@@ -142,7 +147,7 @@
         javapath =   ['/usr/lib/java/jvm/include', env['javapath']]
        
    
-if getPlatform() == 'win':
+ if getPlatform() == 'win':
         print "OS is Windows, environment is win32..."
 	env.Append(CPPDEFINES="WIN")
         swigdef = ['-DWIN', '-DSWIGFIX', '-D_MSBC']
@@ -151,9 +156,10 @@
           hdrs = env.Command('include/SndObj/AudioDefs.h', 'src/AudioDefs.h', "copy  src\\*.h include\\SndObj")
           separateLibs = False
           print 'using MSVC...'
-          includes = "C:\\Program Files\\Microsoft Visual Studio\\VC98\\include"
-          libs = "C:\\Program Files\\Microsoft Visual Studio\\VC98\\lib"
-          env.Append(CPPPATH=['msvc6.0'])
+          includes = ["C:\\Program Files\\Microsoft SDKs\\Windows\\v6.0A\\Include", "C:\\pthreads\\pthreads.2", \
+                      "C:\\Python%c%c\\Lib\\site-packages\\numpy\\core\\include\\" % (getVersion()[0], getVersion()[2])]
+          libs = ["C:\\Program Files\\Microsoft SDKs\\Windows\\v6.0A\\Lib"]
+          env.Append(CPPPATH=['msvc9.0'])
           pythonlib=''
           env.Append(LIBS=['pthreadVC', 'advapi32', 'user32'])
         else: # mingw ? Set any outstanding mingwin paths here
@@ -166,10 +172,11 @@
           includes = ''
           libs     = ''
           pythonlib = 'python%c%c'% (getVersion()[0], getVersion()[2])
-        env.Append(CPPPATH=[includes])
- 	env.Append(LIBPATH=[libs])
+        env.Append(CPPPATH=includes)
+ 	env.Append(LIBPATH=libs)
  	env.Append(LIBPATH=['lib'])
         env.Append(LIBS=['winmm'])
+        if env['buildASIO']: buildasio = 1
         rtio = True
         jackFound = False
         pythonincpath = ['c:\\Python%c%c\include' % (getVersion()[0], getVersion()[2]), env['pythonpath']]
@@ -177,7 +184,7 @@
         pythonlibpath.append(env['pythonlibpath'])
         javapath = ["C:\\Program Files\\Java\\jdk1.5.0_05",env['javapath']]
 
-if getPlatform() == 'cygwin':
+ if getPlatform() == 'cygwin':
         print "OS is Windows, environment is Cygwin..."
         msvctools = False
 	env.Append(CPPDEFINES=['WIN', 'GCC'])
@@ -189,7 +196,7 @@
         pythonincpath = ['/usr/include/python' + getVersion(), env['pythonpath']]
         javapath =   ['/usr/lib/java/jvm/include', env['javapath']]
 
-if getPlatform() == 'macosx':
+ if getPlatform() == 'macosx':
         print "OS is MacOSX"
         msvctools = False
         hdrs = env.Command('include/SndObj/AudioDefs.h', 'src/AudioDefs.h', "cp -f src/*.h include/SndObj")
@@ -208,7 +215,7 @@
         javapath = ['/System/Library/Frameworks/JavaVM.framework', env['javapath']]  
 
 
-if getPlatform() == 'sgi':
+ if getPlatform() == 'sgi':
         print "OS is SGI/Irix..."
         msvctools = False
         hdrs = env.Command('include/SndObj/AudioDefs.h', 'src/AudioDefs.h', "cp -f src/*.h include/SndObj")
@@ -221,8 +228,11 @@
         javapath =   ['/usr/lib/java/jvm/include', env['javapath']]
        
 
-if getPlatform() == 'unsupported':
+ if getPlatform() == 'unsupported':
        print "Realtime IO not supported on this platform: %s" % sys.platform
+       env['no_rtio'] = True
+
+if env['no_rtio']:
        hdrs = env.Command('include/SndObj/AudioDefs.h', 'src/AudioDefs.h', "cp -f src/*.h include/SndObj")
        rtio = False
        swigdef = ['-DNO_RTIO']
@@ -231,11 +241,14 @@
        jackFound = False
        pythonincpath = ['/usr/include/python%c%c' % (getVersion()[0], getVersion()[2]), env['pythonpath']]      
        javapath = ['/usr/java/include', env['javapath']]
+       if getPlatform() == 'macosx':
+        pythonincpath = [env['pythonpath'], '/Library/Frameworks/Python.framework/Headers', '/System/Library/Frameworks/Python.framework/Headers']
+        javapath = ['/System/Library/Frameworks/JavaVM.framework', env['javapath']] 
 
 if not msvctools:
    flags = "-O2" + env['flags']
 else:
-   flags = "-GX -GB -O2" + env['flags']
+   flags = "-EHsc -O2" + env['flags']
    
 #check endianness
 if sys.byteorder == "big":
@@ -246,6 +259,7 @@
 
 if not rtio:
    env.Prepend(CPPDEFINES=['NO_RTIO'])
+   swigdef = ['-DNO_RTIO']
 
 env.Prepend(CPPPATH= ['include','include/rfftw'])
 swigcheck = 'swig' in env['TOOLS']
@@ -285,24 +299,3 @@
 Randh.cpp Randi.cpp Unit.cpp Ap.cpp 
 Hilb.cpp SndIn.cpp SndObj.cpp MidiIn.cpp 
 MidiMap.cpp Bend.cpp Fir.cpp FFT.cpp 
-IFFT.cpp Convol.cpp FastOsc.cpp Osc.cpp 
-Osci.cpp PVA.cpp IFGram.cpp HiPass.cpp 
-LowPass.cpp TpTz.cpp PVS.cpp PVMorph.cpp 
-PVFilter.cpp PVMask.cpp PVMix.cpp 
-PVTransp.cpp PVBlur.cpp PVRead.cpp 
-SinAnal.cpp SinSyn.cpp AdSyn.cpp ReSyn.cpp IFAdd.cpp 
-SndRead.cpp SpecIn.cpp SpecMult.cpp 
-SpecCart.cpp SpecCombine.cpp SpecInterp.cpp 
-SpecPolar.cpp SpecSplit.cpp SpecThresh.cpp 
-SpecVoc.cpp  Ptrack.cpp""")
-
-sndiosources = Split("""SndIO.cpp SndRTIO.cpp SndFIO.cpp 
-SndWave.cpp SndAiff.cpp SndBuffer.cpp 
-SndMidi.cpp SndMidiIn.cpp SndWaveX.cpp 
-SndPVOCEX.cpp SndSinIO.cpp  SndCoreAudio.cpp SndJackIO.cpp SndASIO.cpp """)
-
-tablesources = Split("""HarmTable.cpp UsrHarmTable.cpp 
-TrisegTable.cpp SndTable.cpp PlnTable.cpp 
-HammingTable.cpp NoteTable.cpp UsrDefTable.cpp 
-LoPassTable.cpp ImpulseTable.cpp 
-SpecEnvTable.cpp  EnvTable.cpp PVEnvTable.cpp PVTable.cpp""")

=== trane/SConstruct ===
import sys
import os

env = Environment(ENV = {'PATH' : os.environ['PATH']})
env.SConsignFile()

def getVersion():
    return sys.version[:3]    

def getPlatform():
    if sys.platform[:5] == 'linux':
        return 'linux'
    elif sys.platform[:3] == 'win':
        if env['PLATFORM'] == 'win32':
        	return 'win'
	else:
		return 'cygwin'
    elif sys.platform[:6] == 'darwin':
        return 'macosx'
    else:
        return 'unsupported'

print "Building The Trane Thing instrument"
configure = env.Configure()
env.Append(LIBS=['sndobj', 'fltk'])
 
if getPlatform() == 'linux':
        print "OS is Linux..."
	alsaFound = configure.CheckHeader("alsa/asoundlib.h", language = "C")
	ossFound = configure.CheckHeader("soundcard.h", language="C")
        env.Append(CPPPATH=['/usr/local/include', '../include'])
 	env.Append(LIBPATH=['/usr/local/lib', '../lib'])
	if alsaFound:
	  env.Append(CPPDEFINES="ALSA")
          env.Append(LIBS=['asound'])
          print "using ALSA"
	elif ossFound:
	  env.Append(CPPDEFINES="OSS")
          print "using OSS"
        fltkFound = configure.CheckHeader("Fl/Fl.H", language = "C++")
        sources = Split("""main.cpp Instrument.cpp""")
        if not fltkFound:
            print "No FLTK... exiting"
            sys.exit(0)

elif getPlatform() == 'win':
        print "OS is Windows, environment is win32..."
	env.Append(CPPDEFINES="WIN")
        if 'msvc'in env['TOOLS']: # MSVC
          includes = "C:\\Program Files\\Microsoft Visual Studio\\VC98\\include"
          libs = "C:\\Program Files\\Microsoft Visual Studio\\VC98\\lib"
          env.Append(CPPPATH=['msvc6.0'])
          env.Append(LIBS=['pthreadVC'])
          sources = Split("""main.cpp Instrument.cpp""")
        else: # mingw
          print 'using MINGW...'
          env.Append(CPPDEFINES=['GCC', 'USE_WIN32THREADS'])
          includes = 'c:/msys/1.0/local/include'
          libs     = 'c:/msys/1.0/local/lib'
	  env.Append(LINKFLAGS='-mwindows')
          env.Append(LIBS=['pthreadVC', 'uuid', 'wsock32', 'comctl32', 'ole32'])
          res = env.Command("trane_res.o", "trane.rc", "windres -o trane_res.o trane.rc")
          sources = Split("""main.cpp Instrument.cpp trane_res.o""")
        env.Append(CPPPATH=[includes, '../include'])
 	env.Append(LIBPATH=[libs])
 	env.Append(LIBPATH=['../lib'])
        env.Append(LIBS=['winmm'])
        fltkFound = configure.CheckHeader("FL/Fl.H", language = "C++")
        if not fltkFound:
            print "No FLTK... exiting"
            sys.exit(0)

elif getPlatform() == 'macosx':
        print "OS is MacOSX"
	env.Append(CPPDEFINES="MACOSX")
        swigdef = ['-DMACOSX']
        env.Append(CPPPATH=['/usr/local/include', '../include'])
 	env.Append(LIBPATH=['/usr/local/lib', '../lib'])
	env.Append(CPPPATH=["/system/library/Frameworks/CoreAudio.framework/Headers"])
        env.Append(LINKFLAGS= ['-framework', 'coreaudio'])
        fltkFound = configure.CheckHeader("Fl/Fl.H", language = "C++")
        sources = Split("""main.cpp Instrument.cpp""")
        if not fltkFound:
            print "No FLTK... exiting"
            sys.exit(0)
else:
       print "Unsupported platform..."
       sys.exit(0)


trane = env.Program('trane', sources)
if getPlatform() == 'macosx':
   env.Command('trane.app/Contents/MacOS/trane', 'trane', 'cp -f trane trane.app/Contents/MacOS/;install_name_tool -change lib/libsndobj.dylib @executable_path/../Resources/libsndobj.dylib trane.app/Contents/MacOS/trane; install_name_tool -change /usr/local/lib/libfltk1.1.dylib @executable_path/../Resources/libfltk1.1.dylib trane.app/Contents/MacOS/trane')
   env.Command('trane.app/Contents/Resources/libsndobj.dylib', '../lib/libsndobj.dylib', 'cp -f ../lib/libsndobj.dylib trane.app/Contents/Resources;install_name_tool -id libsndobj.dylib trane.app/Contents/Resources/libsndobj.dylib')
   env.Command('trane.app/Contents/Resources/libfltk.1.1.dylib', '/usr/local/lib/libfltk.1.1.dylib', 'cp -f /usr/local/lib/libfltk.1.1.dylib trane.app/Contents/Resources;install_name_tool -id libfltk.1.1.dylib trane.app/Contents/Resources/libfltk.1.1.dylib')

=== debian/changelog ===
sndobj (2.6.7+ds1-3) unstable; urgency=medium

  * Team upload.

  * B-D on python3-distutils (Closes: #952329)
  * Add salsa-ci configuration
  * Bump standards version to 4.5.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 27 Mar 2020 00:19:43 +0100

sndobj (2.6.7+ds1-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * d/watch: Use https protocol
  * Use debhelper-compat instead of debian/compat

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Add patch for consistent indentation in Python3 code
    (Closes: #947582)
  * Declare that building this package does not require "root" powers
  * Remove trailing whitespace from d/changelog
  * Bump dh compat to 12
  * Bump standards-version to 4.4.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 15 Jan 2020 14:20:17 +0100

sndobj (2.6.7+ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/patches: Refresh.
  * debian/copyright: Strip VCS files from tarball.
  * debian/contro:
    - Update Vcs-*.
    - Bump Standards-Version.
    - Bump debhelper version to 9.
  * debian/rules: Include global *FLAGS.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 28 Nov 2016 21:15:10 +0100

sndobj (2.6.6.1-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch from Philip Chung to fix compilation with GCC 6. (fixes #811743)

 -- Johannes Brandstätter <jbrandst@2ds.eu>  Sat, 24 Sep 2016 15:30:54 +0200

=== debian/control ===
Source: sndobj
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 fftw-dev,
 libasound2-dev [linux-any],
 libjack-dev,
 scons,
 python3-distutils,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://sndobj.sourceforge.net/
Vcs-Git: https://salsa.debian.org/multimedia-team/sndobj.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/sndobj

Package: libsndobj-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 fftw-dev,
 libsndobj2v5 (= ${binary:Version}),
 ${misc:Depends},
Description: Sound Object library (development files)
 The Sound Object Library is an object-oriented audio processing library.
 It provides objects for synthesis and processing of sound that can be used
 to build applications for computer-generated music.
 .
 This package contains the development files.

Package: libsndobj2v5
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Replaces:
 libsndobj2,
 libsndobj2c2,
Conflicts:
 libsndobj2,
 libsndobj2c2,
Description: Sound Object library
 The Sound Object Library is an object-oriented audio processing library.
 It provides objects for synthesis and processing of sound that can be used
 to build applications for computer-generated music.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk

sconsflags  = customLIBS=pthread
sconsflags += customLIBPATH=/usr/lib/$(DEB_HOST_MULTIARCH)
sconsflags += customCCFLAGS="$(CPPFLAGS) $(CFLAGS)"
sconsflags += customCXXFLAGS="$(CPPFLAGS) $(CXXFLAGS)"
sconsflags += customSHLINKFLAGS="$(LDFLAGS)"

%:
	dh $@

override_dh_auto_clean:
	rm -rf lib
	dh_auto_clean

override_dh_auto_build:
	mkdir -p lib
ifeq (linux,$(DEB_HOST_ARCH_OS))
	scons ALSA=true OSS=false JACK=true $(sconsflags)
else
	scons ALSA=false OSS=true JACK=false $(sconsflags)
endif

override_dh_install:
	dh_install -plibsndobj-dev include/SndObj usr/include
	dh_install -plibsndobj-dev lib/*.so usr/lib/$(DEB_HOST_MULTIARCH)/
	dh_install -plibsndobj2v5 lib/*.so.* usr/lib/$(DEB_HOST_MULTIARCH)/

override_dh_installchangelogs:
	dh_installchangelogs change.log

=== debian/watch ===
version=3
opts="dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
https://sf.net/sndobj/SndObj-(.+)\.tar\.gz
